> ## Documentation Index
> Fetch the complete documentation index at: https://developers.unbridaled.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Merchant Search Diamonds

> Search the entire diamonds marketplace using filters.



## OpenAPI

````yaml post /api/v2/diamonds/merchant_search
openapi: 3.1.0
info:
  title: Unbridaled Marketplace Merchant API
  description: Developer API to integrate with Unbridaled Marketplace
  version: 1.0.0
servers:
  - url: https://api-staging.unbridaled.ai
    description: Sandbox API
  - description: Production API
    url: https://api.unbridaled.ai
security:
  - apikeyAuth: []
tags:
  - name: Diamonds
  - name: Inventory
  - name: Orders
  - name: Merchant Templates
  - name: Profit Margins
  - name: Defaults
paths:
  /api/v2/diamonds/merchant_search:
    post:
      tags:
        - Diamonds
      summary: Merchant Search Diamonds
      description: Search the entire diamonds marketplace using filters.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                filters:
                  type: object
                  properties:
                    sku:
                      type: array
                      description: List of gem skus
                      items:
                        type: string
                    lab:
                      type: array
                      description: List of gem lab
                      items:
                        type: string
                        enum:
                          - GIA
                          - IGI
                          - GCAL
                    cert_num:
                      type: array
                      description: List of gem cert num
                      items:
                        type: string
                    shape:
                      type: array
                      description: List of gem shapes
                      items:
                        type: string
                        enum:
                          - asscher
                          - baguette
                          - briolette
                          - bullets
                          - calf
                          - cushion
                          - emerald
                          - half_moon
                          - heart
                          - hexagon
                          - lozenge
                          - marquise
                          - octagon
                          - oval
                          - pear
                          - princess
                          - radiant
                          - rectangle
                          - round
                          - shield
                          - tapered_baguette
                          - trapezoid
                          - triangle
                    memo:
                      type: boolean
                      description: Whether to only search for gems that can be memoed
                    has_media:
                      type: boolean
                      description: Whether to only search for gems that have valid media
                    retail_price_min:
                      type: integer
                      description: Minimum retail price
                    retail_price_max:
                      type: integer
                      description: Maximum retail price
                    weight_min:
                      type: number
                      format: float
                      description: Minimum carat weight
                    weight_max:
                      type: number
                      format: float
                      description: Maximum carat weight
                    color:
                      type: array
                      description: List of gem color values
                      items:
                        type: string
                        enum:
                          - D
                          - E
                          - F
                          - G
                          - H
                          - I
                          - J
                          - K
                          - L
                          - M
                          - 'N'
                          - O
                          - OP
                          - P
                          - Q
                          - QR
                          - R
                          - S
                          - ST
                          - T
                          - U
                          - UV
                          - V
                          - W
                          - WX
                          - X
                          - 'Y'
                          - YZ
                          - Z
                    clarity:
                      type: array
                      description: List of clarity values
                      items:
                        type: string
                        enum:
                          - FL
                          - IF
                          - VVS1
                          - VVS2
                          - VS1
                          - VS2
                          - SI1
                          - SI2
                          - I1
                          - I2
                          - I3
                    cut_grade:
                      type: array
                      description: List of possible cut grades
                      items:
                        type: string
                        enum:
                          - IDL
                          - EX
                          - VG
                          - G
                          - F
                          - P
                          - None
                    polish_grade:
                      type: array
                      description: Polish grades of the gem
                      items:
                        type: string
                        enum:
                          - EX
                          - VG
                          - G
                          - F
                          - P
                    fluorescence:
                      type: array
                      description: Fluorescence levels of the gem
                      items:
                        type: string
                        enum:
                          - Very Strong
                          - Strong
                          - Medium
                          - Faint
                          - Slight
                          - Very Slight
                          - None
                          - null
                    symmetry_grade:
                      type: array
                      description: Symmetry grades of the gem
                      items:
                        type: string
                        enum:
                          - EX
                          - VG
                          - G
                          - F
                          - P
                    depth_percentage_min:
                      type: number
                      format: float
                      description: Minimum depth percentage
                    depth_percentage_max:
                      type: number
                      format: float
                      description: Maximum depth percentage
                    table_percantage_min:
                      type: number
                      format: float
                      description: Minimum table percentage
                    table_percantage_max:
                      type: number
                      format: float
                      description: Maximum table percentage
                    ratio_max:
                      type: number
                      format: float
                      description: Maximum ratio of length:width
                    ratio_min:
                      type: number
                      format: float
                      description: Minimum ratio of length:width
                    type:
                      type: array
                      description: Type of the gem (mined or lab grown)
                      items:
                        type: string
                        enum:
                          - mined
                          - lab grown
                    delivery_days_min:
                      type: integer
                      description: Minimum number of delivery days for shipping
                    delivery_days_max:
                      type: integer
                      description: Maximum number of delivery days for shipping
                    cut_code_shape:
                      type: array
                      description: >-
                        List of cut code and shape combo for filtering. This
                        value should be created by joining the cut_code and
                        shape using ':'. For example princess:rose_cut
                      items:
                        type: string
                limit:
                  type: integer
                offset:
                  type: integer
                sort_col:
                  type: string
                sort_order:
                  type: string
            examples:
              MerchantSearchDiamondRequest:
                value:
                  filters:
                    weight_min: 0
                    weight_max: 2
                    type:
                      - mined
                      - lab grown
                  limit: 10
                  offset: 0
                  sort_col: retail_price
                  sort_order: asc
        description: ''
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  filters:
                    type: object
                    properties:
                      cut_code:
                        type: array
                        items:
                          type: string
                      is_fancy:
                        type: boolean
                      type:
                        type: array
                        items:
                          type: string
                  gems:
                    type: array
                    items:
                      type: object
                      properties:
                        base_currency_code:
                          type: string
                        base_retail_price:
                          type: number
                        base_wholesale_price:
                          type: number
                        can_hold:
                          type: boolean
                        cert_num:
                          type: string
                        cert_url:
                          type: string
                        clarity:
                          type: string
                        clarity_max:
                          type:
                            - string
                            - 'null'
                        color:
                          type: string
                        color_max:
                          type:
                            - string
                            - 'null'
                        country_code:
                          type: string
                        created_on:
                          type: string
                        crown_angle:
                          type: number
                        culet_size:
                          type:
                            - string
                            - 'null'
                        currency_code:
                          type: string
                        cut_code:
                          type: string
                        cut_grade:
                          type:
                            - string
                            - 'null'
                        cut_grade_description:
                          type:
                            - string
                            - 'null'
                        days_to_return:
                          type: integer
                        delivery_days_max:
                          type: integer
                        delivery_days_min:
                          type: integer
                        depth:
                          type: number
                        depth_percentage:
                          type: number
                        enabled:
                          type: boolean
                        exchange_rate:
                          type: number
                        eye_clean:
                          type: string
                        fancy_color_intensity:
                          type:
                            - string
                            - 'null'
                        fluorescence:
                          type: string
                        girdle_max:
                          type:
                            - string
                            - 'null'
                        girdle_min:
                          type:
                            - string
                            - 'null'
                        grow_method:
                          type:
                            - string
                            - 'null'
                        id:
                          type: integer
                        image_bottom_url:
                          type:
                            - string
                            - 'null'
                        image_top_url:
                          type: string
                        is_fancy:
                          type: boolean
                        is_manual:
                          type: boolean
                        is_sustainable:
                          type: boolean
                        lab:
                          type: string
                        length:
                          type: number
                        media_requested:
                          type: boolean
                        memo:
                          type: boolean
                        memo_days_to_return:
                          type: integer
                        merchant_template_group:
                          type: string
                        merchant_template_label:
                          type: string
                        merchant_template_position:
                          type: string
                        merchant_template_uuid:
                          type: string
                        off_rap_percentage:
                          type: number
                        on_hold:
                          type: boolean
                        original_imported_ext_url:
                          type: string
                        overtone:
                          type:
                            - string
                            - 'null'
                        parcel:
                          type: boolean
                        pavilion_angle:
                          type: number
                        pavilion_depth:
                          type: number
                        polish_grade:
                          type: string
                        product_type:
                          type: string
                        quality:
                          type:
                            - string
                            - 'null'
                        quantity:
                          type: number
                        ratio:
                          type: number
                        ratio_group:
                          type:
                            - string
                            - 'null'
                        retail_price:
                          type: number
                        returnable:
                          type: boolean
                        shape:
                          type: string
                        shape_icon_url:
                          type: string
                        shape_icon_url_png:
                          type: string
                        shape_image_url:
                          type: string
                        sku:
                          type: string
                        stone_type:
                          type:
                            - string
                            - 'null'
                        sustainability_details:
                          type:
                            - object
                            - 'null'
                        symmetry_grade:
                          type: string
                        table_percentage:
                          type: number
                        type:
                          type: string
                        updated_on:
                          type: string
                        ux_url:
                          type: string
                        v360_info:
                          type:
                            - object
                            - 'null'
                          properties:
                            frame_count:
                              type: string
                            s3_path:
                              type: string
                        v360_json_base_url:
                          type: string
                        video_url:
                          type: string
                        weight:
                          type: number
                        wholesale_price:
                          type: number
                        width:
                          type: number
                  metadata:
                    type: object
                    properties:
                      limit:
                        type: integer
                      offset:
                        type: integer
                      total_count:
                        type: integer
              examples:
                MerchantSearchDiamondResponse:
                  value:
                    filters:
                      cut_code:
                        - brilliant_cut
                        - modified_cut
                      is_fancy: false
                      type:
                        - mined
                        - lab grown
                    gems:
                      - base_currency_code: USD
                        base_retail_price: 150
                        base_wholesale_price: 100
                        can_hold: true
                        cert_num: '61791373'
                        cert_url: ''
                        clarity: SI2
                        clarity_max: null
                        color: G
                        color_max: null
                        country_code: IND
                        created_on: '2024-05-15 19:59:50.545918'
                        crown_angle: 35.5
                        culet_size: null
                        currency_code: USD
                        cut_code: brilliant_cut
                        cut_grade: null
                        cut_grade_description: null
                        days_to_return: 45
                        delivery_days_max: 7
                        delivery_days_min: 5
                        depth: 1.8
                        depth_percentage: 62.5
                        enabled: true
                        exchange_rate: 1
                        eye_clean: 'no'
                        fancy_color_intensity: null
                        fluorescence: None
                        girdle_max: null
                        girdle_min: null
                        grow_method: null
                        id: 990157
                        image_bottom_url: null
                        image_top_url: ''
                        is_fancy: false
                        is_manual: false
                        is_sustainable: false
                        lab: GIA
                        length: 2.89
                        media_requested: false
                        memo: false
                        memo_days_to_return: 0
                        merchant_template_group: null
                        merchant_template_label: null
                        merchant_template_position: null
                        merchant_template_uuid: null
                        off_rap_percentage: 54.17823003391919
                        on_hold: false
                        original_imported_ext_url: ''
                        overtone: null
                        parcel: false
                        pavilion_angle: 41.6
                        pavilion_depth: 44
                        polish_grade: EX
                        product_type: diamond
                        quality: null
                        quantity: 1
                        ratio: 1
                        ratio_group: null
                        retail_price: 150
                        returnable: false
                        shape: round
                        shape_icon_url: >-
                          https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-round.svg
                        shape_icon_url_png: >-
                          https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-round.png
                        shape_image_url: >-
                          https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_images/brilliant-round.png
                        sku: UB1DD700DCF7
                        stone_type: null
                        sustainability_details: null
                        symmetry_grade: VG
                        table_percentage: 60
                        type: mined
                        updated_on: '2024-05-15 19:59:50.545918'
                        ux_url: ''
                        v360_info: null
                        v360_json_base_url: ''
                        video_url: ''
                        weight: 0.094
                        wholesale_price: 100
                        width: 2.88
                    metadata:
                      limit: 50
                      offset: 0
                      total_count: 123934
components:
  securitySchemes:
    apikeyAuth:
      type: http
      scheme: bearer

````